package com.seatel.mobilehall.ui.home.viewholder

import android.content.Context
import android.view.View
import androidx.recyclerview.widget.RecyclerView
import kotlinx.android.synthetic.main.item_bottom_ehub.view.*

@Suppress("DEPRECATION")
class EhubViewHolder(private var mContext: Context, itemView: View) :
    RecyclerView.ViewHolder(itemView) {

    fun onBind() {
        itemView.button_order_received
        itemView.button_tracking
        itemView.order_quantity.text = "$"
        itemView.grandTotal.text = "$"

        itemView.button_order_received.setOnClickListener {

        }
        itemView.button_tracking.setOnClickListener {

        }

    }

    interface Calculate {
        fun GrandTotal(price: Double)
    }
}